ConnectionConfig (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management.api, class: ConnectionConfig

Package org.apache.geode.management.api

# Class ConnectionConfig

java.lang.Object
org.apache.geode.management.api.ConnectionConfig

@Experimental public class ConnectionConfig extends Object
Concrete implementation of `ConnectionConfig` which can be used where the various connection properties should be set directly as opposed to being derived from another context such as a `Cache`. For example `GeodeClusterManagementServiceConnectionConfig`.

See Also:
  - `ClusterManagementServiceBuilder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConnectionConfig()`
  `ConnectionConfig(String host, int port)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAuthToken()`
  `boolean`
  `getFollowRedirects()`
  `String`
  `getHost()`
  `HostnameVerifier`
  `getHostnameVerifier()`
  `String`
  `getPassword()`
  `int`
  `getPort()`
  `SSLContext`
  `getSslContext()`
  `String`
  `getUsername()`
  `ConnectionConfig`
  `setAuthToken(String authToken)`
  `ConnectionConfig`
  `setFollowRedirects(boolean followRedirects)`
  `protected void`
  `setHost(String host)`
  `ConnectionConfig`
  `setHostnameVerifier(HostnameVerifier hostnameVerifier)`
  `ConnectionConfig`
  `setPassword(String password)`
  `protected void`
  `setPort(int port)`
  `ConnectionConfig`
  `setSslContext(SSLContext sslContext)`
  `ConnectionConfig`
  `setUsername(String username)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConnectionConfig

    public ConnectionConfig()

  - ### ConnectionConfig

    public ConnectionConfig(String host, int port)

- ## Method Details

  - ### setHost

    protected void setHost(String host)

  - ### setPort

    protected void setPort(int port)

  - ### getHost

    public String getHost()

  - ### getPort

    public int getPort()

  - ### getAuthToken

    public String getAuthToken()

  - ### setAuthToken

    public ConnectionConfig setAuthToken(String authToken)

  - ### setSslContext

    public ConnectionConfig setSslContext(SSLContext sslContext)

  - ### getSslContext

    public SSLContext getSslContext()

  - ### setUsername

    public ConnectionConfig setUsername(String username)

  - ### getUsername

    public String getUsername()

  - ### setPassword

    public ConnectionConfig setPassword(String password)

  - ### getPassword

    public String getPassword()

  - ### setHostnameVerifier

    public ConnectionConfig setHostnameVerifier(HostnameVerifier hostnameVerifier)

  - ### getHostnameVerifier

    public HostnameVerifier getHostnameVerifier()

  - ### setFollowRedirects

    public ConnectionConfig setFollowRedirects(boolean followRedirects)

  - ### getFollowRedirects

    public boolean getFollowRedirects()